## net.i2p.client.streaming
Interface MessageOutputStream.DataReceiver

All Known Implementing Classes:
  ConnectionDataReceiver

Enclosing interface:
  MessageOutputStream

public static interface MessageOutputStream.DataReceiver

Define a component to receive data flushed from this stream

Method Summary
`MessageOutputStream.WriteStatus` `writeData(byte[] buf, int off, int size)` Nonblocking write
`boolean` `writeInProcess()`

Method Detail

### writeData

    public MessageOutputStream.WriteStatus writeData(byte[] buf,
                                                     int off,
                                                     int size)

  Nonblocking write

### writeInProcess

    public boolean writeInProcess()